Opened 11 years ago

Closed 10 years ago

#3101 closed bug (duplicate)

Outdated links at http://www.haiku-os.org/development

Reported by: luroh Owned by: haiku-web
Priority: normal Milestone: R1
Component: Website/CMS Version: R1/pre-alpha1
Keywords: Cc: umccullough@…
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

As some people have noted, several links in the 'Development Tools' section point to outdated packages.

Change History (6)

comment:1 by umccullough, 11 years ago

I'll gladly update the links if someone will provide newer packages (gcc cross-compiler for R5 as an example).

Since downloading the haiku development tools for Haiku does not actually create enough of an environment for compiling Haiku, does this section make sense documented like this?

in reply to:  1 comment:2 by bonefish, 11 years ago

Replying to umccullough:

Since downloading the haiku development tools for Haiku does not actually create enough of an environment for compiling Haiku, does this section make sense documented like this?

IMO it doesn't. The "optional packages" were never meant to be manually downloadable, ready-to-install packages (though some of them are pretty self-contained). They are just a simple means to build an image from the scratch, directly populating it with the software one usually needs. So I actually wouldn't link to them at all.

comment:3 by umccullough, 11 years ago

Thanks, I'll clean that up.

It might be worth putting together a shell script that someone can use to install them manually, however - I might even look into that. It almost becomes a moot point now that images with devtools are available.

comment:4 by umccullough, 11 years ago

Cc: umccullough@… added

comment:5 by luroh, 10 years ago

There's an updated jam package over at ticket #3701.

comment:6 by mmadia, 10 years ago

Resolution: duplicate
Status: newclosed

Merging #3782, #3744, #3701 into one ticket : #3783 closing as duplicate.

Note: See TracTickets for help on using tickets.